Bug 1785957 - [abrt] tracer_init_tracefs: WARNING: CPU: 6 PID: 1 at kernel/trace/ftrace.c:987 ftrace_init_tracefs_toplevel+0x12d/0x17e
Summary: [abrt] tracer_init_tracefs: WARNING: CPU: 6 PID: 1 at kernel/trace/ftrace.c:9...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7684cf2f121359715ec5fecddfc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-22 18:51 UTC by Ankur Sinha (FranciscoD)
Modified: 2020-03-16 07:52 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 07:52:49 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (93.85 KB, text/plain)
2019-12-22 18:51 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2019-12-22 18:51:30 UTC
Additional info:
reporter:       libreport-2.11.3
WARNING: CPU: 6 PID: 1 at kernel/trace/ftrace.c:987 ftrace_init_tracefs_toplevel+0x12d/0x17e
Modules linked in:
CPU: 6 PID: 1 Comm: swapper/0 Not tainted 5.4.5-300.fc31.x86_64 #1
Hardware name: LENOVO 20N8CTO1WW/20N8CTO1WW, BIOS R0YET34W (1.17 ) 07/27/2019
RIP: 0010:ftrace_init_tracefs_toplevel+0x12d/0x17e
Code: b9 0e 00 00 00 48 8d 78 20 f3 a5 4c 89 70 20 48 8d 78 20 e8 30 6d 34 fe 85 c0 74 84 89 ee 48 c7 c7 38 75 34 98 e8 ac fc 24 fe <0f> 0b 5b 4c 89 f7 5d 41 5c 41 5d 41 5e e9 0c 16 44 fe 31 c9 49 c7
RSP: 0000:ffffbfc14007fdf0 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff9a095e200000 RCX: 0000000000000288
RDX: 0000000000000001 RSI: 0000000000000092 RDI: 0000000000000247
RBP: 0000000000000000 R08: 0000000000000288 R09: 0000000000000003
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000000000000
R13: 000000000001c980 R14: ffff9a095baa0c70 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9a095e380000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000012460a001 CR4: 00000000003606e0
Call Trace:
 tracer_init_tracefs+0x8c/0x1e7
 ? register_tracer+0x1bc/0x1bc
 do_one_initcall+0x46/0x1f4
 kernel_init_freeable+0x1a7/0x24e
 ? rest_init+0xaa/0xaa
 kernel_init+0xa/0x106
 ret_from_fork+0x35/0x40

Potential duplicate: bug 1777072

Comment 1 Ankur Sinha (FranciscoD) 2019-12-22 18:51:34 UTC
Created attachment 1647206 [details]
File: dmesg

Comment 2 Dimitris 2019-12-23 16:57:07 UTC
Description of problem:
Thinkpad T495 EFI secure boot: booted kernel from updates-testing

Version-Release number of selected component:
kernel-core-5.4.5-300.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.4.5-300.fc31.x86_64 root=/dev/mapper/main-root ro resume=/dev/mapper/main-swap rd.luks.uuid=luks-35d15ff6-ffcb-45ac-886a-6292ab8bf9d9 rd.lvm.lv=main/root rd.lvm.lv=main/swap acpi_osi=Linux rhgb quiet amd_iommu=on iommu=pt
crash_function: tracer_init_tracefs
kernel:         5.4.5-300.fc31.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 1 at kernel/trace/ftrace.c:987 ftrace_init_tracefs_toplevel+0x12d/0x17e
Modules linked in:
CPU: 4 PID: 1 Comm: swapper/0 Not tainted 5.4.5-300.fc31.x86_64 #1
Hardware name: LENOVO 20NJCTO1WW/20NJCTO1WW, BIOS R12ET46W(1.16 ) 10/28/2019
RIP: 0010:ftrace_init_tracefs_toplevel+0x12d/0x17e
Code: b9 0e 00 00 00 48 8d 78 20 f3 a5 4c 89 70 20 48 8d 78 20 e8 30 6d 34 fe 85 c0 74 84 89 ee 48 c7 c7 38 75 34 97 e8 ac fc 24 fe <0f> 0b 5b 4c 89 f7 5d 41 5c 41 5d 41 5e e9 0c 16 44 fe 31 c9 49 c7
RSP: 0018:ffffb80440067df0 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff9b3060800000 RCX: 0000000000000353
RDX: 0000000000000001 RSI: 0000000000000092 RDI: 0000000000000247
RBP: 0000000000000000 R08: 0000000000000353 R09: 0000000000000003
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000000000000
R13: 000000000001c980 R14: ffff9b305c8d4c00 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9b3060900000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000039460a000 CR4: 00000000003406e0
Call Trace:
 tracer_init_tracefs+0x8c/0x1e7
 ? register_tracer+0x1bc/0x1bc
 do_one_initcall+0x46/0x1f4
 kernel_init_freeable+0x1a7/0x24e
 ? rest_init+0xaa/0xaa
 kernel_init+0xa/0x106
 ret_from_fork+0x22/0x40

Comment 3 Bojan Smojver 2019-12-23 22:43:08 UTC
Description of problem:
Boot the system.

Version-Release number of selected component:
kernel-core-5.4.5-300.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt4)/vmlinuz-5.4.5-300.fc31.x86_64 root=UUID=cdcdec93-db52-4050-acbe-180353cf4eb8 ro
crash_function: tracer_init_tracefs
kernel:         5.4.5-300.fc31.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 1 at kernel/trace/ftrace.c:987 ftrace_init_tracefs_toplevel+0x12d/0x17e
Modules linked in:
CPU: 2 PID: 1 Comm: swapper/0 Not tainted 5.4.5-300.fc31.x86_64 #1
Hardware name: LENOVO 20BXCTO1WW/20BXCTO1WW, BIOS JBET73WW (1.37 ) 08/14/2019
RIP: 0010:ftrace_init_tracefs_toplevel+0x12d/0x17e
Code: b9 0e 00 00 00 48 8d 78 20 f3 a5 4c 89 70 20 48 8d 78 20 e8 30 6d 34 fe 85 c0 74 84 89 ee 48 c7 c7 38 75 34 bc e8 ac fc 24 fe <0f> 0b 5b 4c 89 f7 5d 41 5c 41 5d 41 5e e9 0c 16 44 fe 31 c9 49 c7
RSP: 0000:ffffae54c005bdf0 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff9f5725a00000 RCX: 000000000000029e
RDX: 0000000000000001 RSI: 0000000000000092 RDI: 0000000000000246
RBP: 0000000000000000 R08: 000000000000029e R09: 0000000000000019
R10: 0000000000000730 R11: 0000000000000000 R12: 0000000000000000
R13: 000000000001c980 R14: ffff9f57238cffb0 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9f5725a80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 00000001d560a001 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tracer_init_tracefs+0x8c/0x1e7
 ? register_tracer+0x1bc/0x1bc
 do_one_initcall+0x46/0x1f4
 kernel_init_freeable+0x1a7/0x24e
 ? rest_init+0xaa/0xaa
 kernel_init+0xa/0x106
 ret_from_fork+0x35/0x40

Comment 4 Robert Hancock 2019-12-25 03:01:18 UTC
Description of problem:
Happened on boot

Version-Release number of selected component:
kernel-core-5.4.5-300.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd3,gpt2)/vmlinuz-5.4.5-300.fc31.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet intel_iommu=on,igfx_off
crash_function: tracer_init_tracefs
kernel:         5.4.5-300.fc31.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 1 at kernel/trace/ftrace.c:987 ftrace_init_tracefs_toplevel+0x12d/0x17e
Modules linked in:
CPU: 1 PID: 1 Comm: swapper/0 Not tainted 5.4.5-300.fc31.x86_64 #1
Hardware name: System manufacturer System Product Name/PRIME H270-PRO, BIOS 1205 05/03/2018
RIP: 0010:ftrace_init_tracefs_toplevel+0x12d/0x17e
Code: b9 0e 00 00 00 48 8d 78 20 f3 a5 4c 89 70 20 48 8d 78 20 e8 30 6d 34 fe 85 c0 74 84 89 ee 48 c7 c7 38 75 34 a6 e8 ac fc 24 fe <0f> 0b 5b 4c 89 f7 5d 41 5c 41 5d 41 5e e9 0c 16 44 fe 31 c9 49 c7
RSP: 0000:ffffb41a40033df0 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff8f8da6a00000 RCX: 000000000000029d
RDX: 0000000000000001 RSI: 0000000000000092 RDI: 0000000000000247
RBP: 0000000000000000 R08: 000000000000029d R09: 0000000000000003
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000000000000
R13: 000000000001c980 R14: ffff8f8da4327080 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff8f8da6a80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000019c60a001 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tracer_init_tracefs+0x8c/0x1e7
 ? register_tracer+0x1bc/0x1bc
 do_one_initcall+0x46/0x1f4
 kernel_init_freeable+0x1a7/0x24e
 ? rest_init+0xaa/0xaa
 kernel_init+0xa/0x106
 ret_from_fork+0x35/0x40

Comment 5 noxnovale 2020-01-04 14:00:45 UTC
Description of problem:
Fallos constantes del driver amd gpu

Version-Release number of selected component:
kernel-core-5.4.5-300.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.16-300.fc31.x86_64 root=UUID=c2b24a81-6e80-46c9-a681-b5ec978025f4 ro rootflags=subvol=root resume=UUID=b1cdc266-fe69-4cdf-ad64-5da244602dad rhgb quiet
crash_function: tracer_init_tracefs
kernel:         5.4.5-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 1 at kernel/trace/ftrace.c:987 ftrace_init_tracefs_toplevel+0x12d/0x17e
Modules linked in:
CPU: 1 PID: 1 Comm: swapper/0 Not tainted 5.4.5-300.fc31.x86_64 #1
Hardware name: To be filled by O.E.M. To be filled by O.E.M./M5A97 R2.0, BIOS 2603 06/26/2015
RIP: 0010:ftrace_init_tracefs_toplevel+0x12d/0x17e
Code: b9 0e 00 00 00 48 8d 78 20 f3 a5 4c 89 70 20 48 8d 78 20 e8 30 6d 34 fe 85 c0 74 84 89 ee 48 c7 c7 38 75 34 a0 e8 ac fc 24 fe <0f> 0b 5b 4c 89 f7 5d 41 5c 41 5d 41 5e e9 0c 16 44 fe 31 c9 49 c7
RSP: 0018:ffffb0b4c003bdf0 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff939072a00000 RCX: 00000000000002a4
RDX: 0000000000000001 RSI: 0000000000000092 RDI: 0000000000000247
RBP: 0000000000000000 R08: 00000000000002a4 R09: 0000000000000003
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000000000000
R13: 000000000001c980 R14: ffff9390701afc30 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff939072a40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000021960a000 CR4: 00000000000406e0
Call Trace:
 tracer_init_tracefs+0x8c/0x1e7
 ? register_tracer+0x1bc/0x1bc
 do_one_initcall+0x46/0x1f4
 kernel_init_freeable+0x1a7/0x24e
 ? rest_init+0xaa/0xaa
 kernel_init+0xa/0x106
 ret_from_fork+0x22/0x40

Comment 6 Dimitris 2020-01-05 08:26:28 UTC
5.4.7-200.fc31 seems to fix this here (ThinkPad T495, EFI with Secure Boot enabled).

Comment 7 Justin M. Forbes 2020-03-03 16:31:45 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 31 kernel bugs.

Fedora 31 has now been rebased to 5.5.7-200.fc31.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 32, and are still experiencing this issue, please change the version to Fedora 32.

If you experience different issues, please open a new bug report for those.

Comment 8 Ankur Sinha (FranciscoD) 2020-03-16 07:52:49 UTC
Not seeing this recently. Closing. Please re-open if needed.


Note You need to log in before you can comment on or make changes to this bug.